Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227618 - FHS: move exes to _bindir; move ns-slapd to _sbindir
Summary: FHS: move exes to _bindir; move ns-slapd to _sbindir
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server
Version: 1.0.4
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-02-07 03:17 UTC by Rich Megginson
Modified: 2015-12-07 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:47:26 UTC


Attachments (Terms of Use)
diffs (deleted)
2007-02-07 17:05 UTC, Rich Megginson
no flags Details | Diff
cvs commit log (deleted)
2007-02-08 00:00 UTC, Rich Megginson
no flags Details

Description Rich Megginson 2007-02-07 03:17:37 UTC
In order to be FHS compliant, all executables that can be run by a user should
be in _bindir (/usr/bin) and the server itself should be in _sbindir (/usr/sbin).

Comment 1 Rich Megginson 2007-02-07 17:05:10 UTC
Created attachment 147570 [details]
diffs

Comment 2 Noriko Hosoi 2007-02-07 22:00:33 UTC
Looks good.
When you check them in, could you please check in *.in files after their
corresponding derived files?  Thanks!

Comment 3 Dennis Gilmore 2007-02-07 22:07:47 UTC
looks good to me also and in my testing works on FC-6 

Comment 4 Nathan Kinder 2007-02-07 22:17:13 UTC
The changes look good.

Maybe it's just my OCD, but can we keep the build targets alphabetized in
Makefile.am?  Specifically the "serverplugin_LTLIBRARIES" and "bin_SCRIPTS" targets?

Comment 5 Jarod Wilson 2007-02-07 22:21:55 UTC
(In reply to comment #3)
> looks good to me also and in my testing works on FC-6 

Ditto.

Comment 6 Rich Megginson 2007-02-08 00:00:06 UTC
Created attachment 147616 [details]
cvs commit log

Reviewed by: many people (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: In order to be more FHS compliant, we need to make the
following changes:
1) move files executable by end users to _bindir (e.g. /usr/bin) - this means
logconv.pl, ds_newinst, dbscan, etc.
2) move the server executable ns-slapd to _sbindir (e.g. /usr/sbin)
And, to be more packaging friendly, the additional changes:
3) move libback-ldbm to the plugins dir - it is a plugin
4) use the libtool -avoid-version flag with plugins - we don't need the
.so.0.0.0 for plugins
I had to add support for sbindir and SBINDIR to create_instance and ds_newinst.
 We were using serverdir for 3 things - command line programs, server specific
shared libs, and the server executable itself.	These are now in 3 different
places.  The biggest change was to the scripts.  I kept serverdir and
SERVER-DIR to be the location of the server shared libs to avoid changing even
more stuff.  I had to add SERVERBIN-DIR to the scripts - this is the location
of ns-slapd and is set by sbindir in create_instance (which defaults to SBINDIR
from Makefile.am which defaults to $prefix/sbin in configure - whew).
I've tested instance creation with these diffs - everything seems to work fine.

Platforms tested: RHEL4, FC6
Flag Day: no
Doc impact: Yes, but the docs will have to change quite a bit for all of the
FHS related changes.

Comment 10 Nathan Kinder 2007-12-21 19:21:02 UTC
Verified that ns-slapd is in sbin, the other tools are in bin, libback-ldbm.so
is in the plugins dir, and none of the plugins have a version in their filename.
 All checks where performed on RHEL4 i386.

Marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.